Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.keyattributedmr.model
Interface VKeyAttributeDomainModelReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelChangeListener, org.eclipse.emf.common.notify.Notifier, VDomainModelReference, VFeaturePathDomainModelReference

All Known Implementing Classes:
  VKeyAttributeDomainModelReferenceImpl

    public interface VKeyAttributeDomainModelReference

extends VFeaturePathDomainModelReference

A representation of the model object ' Key Attribute Domain Model Reference'.

The following features are supported:

- `Key DMR`
- `Key Value`
- `Value DMR`

See Also:
  `VKeyattributedmrPackage.getKeyAttributeDomainModelReference()`

Method Summary
`VDomainModelReference` | `getKeyDMR()` Returns the value of the 'Key DMR' containment reference.
`Object` | `getKeyValue()` Returns the value of the 'Key Value' attribute.
`VDomainModelReference` | `getValueDMR()` Returns the value of the 'Value DMR' containment reference.
`void` | `setKeyDMR(VDomainModelReference value)` Sets the value of the ' `Key DMR`' containment reference.
`void` | `setKeyValue(Object value)` Sets the value of the ' `Key Value`' attribute.
`void` | `setValueDMR(VDomainModelReference value)` Sets the value of the ' `Value DMR`' containment reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VFeaturePathDomainModelReference
`getDomainModelEFeature, getDomainModelEReferencePath, setDomainModelEFeature`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VDomainModelReference
`getChangeListener, getEStructuralFeatureIterator, getFullPathIterator, getIterator, init`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.ModelChangeListener
`notifyChange`

Method Detail

### getKeyDMR

    VDomainModelReference getKeyDMR()

  Returns the value of the 'Key DMR' containment reference.

  If the meaning of the 'Key DMR' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key DMR' containment reference.
  See Also:
    `setKeyDMR(VDomainModelReference)`, `VKeyattributedmrPackage.getKeyAttributeDomainModelReference_KeyDMR()`

### setKeyDMR

    void setKeyDMR(VDomainModelReference value)

  Sets the value of the ' `Key DMR`' containment reference.

  Parameters:
    `value` - the new value of the 'Key DMR' containment reference.
  See Also:
    `getKeyDMR()`

### getKeyValue

    Object getKeyValue()

  Returns the value of the 'Key Value' attribute.

  If the meaning of the 'Key Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key Value' attribute.
  See Also:
    `setKeyValue(Object)`, `VKeyattributedmrPackage.getKeyAttributeDomainModelReference_KeyValue()`

### setKeyValue

    void setKeyValue(Object value)

  Sets the value of the ' `Key Value`' attribute.

  Parameters:
    `value` - the new value of the 'Key Value' attribute.
  See Also:
    `getKeyValue()`

### getValueDMR

    VDomainModelReference getValueDMR()

  Returns the value of the 'Value DMR' containment reference.

  If the meaning of the 'Value DMR' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value DMR' containment reference.
  See Also:
    `setValueDMR(VDomainModelReference)`, `VKeyattributedmrPackage.getKeyAttributeDomainModelReference_ValueDMR()`

### setValueDMR

    void setValueDMR(VDomainModelReference value)

  Sets the value of the ' `Value DMR`' containment reference.

  Parameters:
    `value` - the new value of the 'Value DMR' containment reference.
  See Also:
    `getValueDMR()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.